'use client';
import IcBaselineLocationOn from '@/components/icons/IcBaselineLocationOn';
import { useState } from "react";

export default function Default(){
	const [location, setLocation] = useState<'Seattle'|'Tacoma'>();
	return <>
		<section className="mt-5">
			<h1 className="text-center text-3xl sm:text-4xl font-bold">Current Openings</h1>
			<div className={`max-w-2xl mx-auto px-2 ${!!location && 'hidden'}`}>
				<div className="mt-10 flex flex-col gap-y-8">
					<div>
						<button onClick={()=>{setLocation('Seattle')}} className="text-2xl text-warning font-bold hover:underline">Laundry Attendant</button>
						<div className="flex items-center">
							<div className="fill-slate-500 w-5 h-5"><IcBaselineLocationOn /></div>
							<p>Seattle WA</p>
						</div>
					</div>
					<div>
						<button onClick={()=>{setLocation('Tacoma')}} className="text-2xl text-warning font-bold hover:underline">Laundry Attendant</button>
						<div className="flex items-center">
							<div className="fill-slate-500 w-5 h-5"><IcBaselineLocationOn /></div>
							<p>Tacoma WA</p>
						</div>
					</div>
				</div>
			</div>
			<div className={`mt-5 w-full md:w-[660px] mx-auto px-2 ${!location && 'hidden'}`}>
				<button onClick={()=>{setLocation(undefined)}} className="ml-auto block btn btn-sm btn-primary btn-outline">Back</button>
				<iframe className={`w-[inherit] h-[60vh] mt-4 mx-auto ${location==='Tacoma' && 'hidden'}`} src="https://docs.google.com/forms/d/e/1FAIpQLSe60cZNDsOssuzz4bbCy3V4TkP2Mn0Fne08NW2YCaAChDe9Ng/viewform?embedded=true">Loading…</iframe>
				<iframe className={`w-[inherit] h-[60vh] mt-4 mx-auto ${location==='Seattle' && 'hidden'}`} src="https://docs.google.com/forms/d/e/1FAIpQLSeOJcMWfojd2Kmk19Jg4Nv4eponE-V02JRpINrQ0utYk9Ddrg/viewform?embedded=true">Loading…</iframe>
			</div>
		</section>
	</>
}
